# There are no ELF objects in this package, so turn off debuginfo generation.
%global debug_package %{nil}

Name:           argparse
Version:        3.0
Release:        %autorelease
Summary:        Argument parser for modern C++

License:        MIT
URL:            https://github.com/p-ranav/argparse
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
Argparse is an argument parser for C++17 in a single header file.

%package devel
Summary:        Argument parser for modern C++
BuildArch:      noarch
Provides:       %{name}-static = %{version}-%{release}

%description devel
Argparse is an argument parser for C++17 in a single header file.

%prep
%autosetup

# Install into the noarch directory
# https://github.com/p-ranav/argparse/pull/323
sed -i 's/CMAKE_INSTALL_LIBDIR/CMAKE_INSTALL_DATADIR/' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%{_vpath_builddir}/test/tests

%files devel
%doc README.md
%license LICENSE
%{_includedir}/argparse/
%{_datadir}/cmake/argparse/
%{_datadir}/pkgconfig/argparse.pc

%changelog
%autochangelog
